'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _reactComponentButton = require('@ciscospark/react-component-button');

var _reactComponentButton2 = _interopRequireDefault(_reactComponentButton);

var _reactComponentIcon = require('@ciscospark/react-component-icon');

var _reactComponentIcon2 = _interopRequireDefault(_reactComponentIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var styles = {
  'container': 'container--w_INf',
  'icon': 'icon--muAM2',
  'hidden': 'hidden--2U31I',
  'withText': 'withText--2lv_w',
  'label': 'label--2TvjQ'
}; // @related-file ./styles.css

var propTypes = {
  label: _propTypes2.default.string,
  onClick: _propTypes2.default.func.isRequired
};

var defaultProps = {
  label: ''
};

function ScrollToBottomButton(props) {
  var onClick = props.onClick,
      label = props.label;


  var containerStyle = void 0,
      labelSpan = void 0;

  if (label) {
    labelSpan = _react2.default.createElement(
      'span',
      { className: (0, _classnames2.default)('ciscospark-scroll-to-bottom-label', styles.label) },
      label
    );
    containerStyle = styles.withText;
  }

  return _react2.default.createElement(
    'div',
    { className: (0, _classnames2.default)('ciscospark-scroll-to-bottom-container', styles.container, containerStyle) },
    _react2.default.createElement(
      _reactComponentButton2.default,
      { onClick: onClick },
      _react2.default.createElement(
        'div',
        { className: (0, _classnames2.default)('ciscospark-scroll-to-bottom-icon', styles.icon) },
        _react2.default.createElement(_reactComponentIcon2.default, { type: _reactComponentIcon.ICONS.ICON_TYPE_RIGHT_ARROW })
      ),
      labelSpan
    )
  );
}

ScrollToBottomButton.propTypes = propTypes;
ScrollToBottomButton.defaultProps = defaultProps;

exports.default = ScrollToBottomButton;