import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';
import Button from '@ciscospark/react-component-button';
import Icon, { ICONS } from '@ciscospark/react-component-icon';

function styleInject(css, ref) {
  if (ref === void 0) ref = {};
  var insertAt = ref.insertAt;

  if (!css || typeof document === 'undefined') {
    return;
  }

  var head = document.head || document.getElementsByTagName('head')[0];
  var style = document.createElement('style');
  style.type = 'text/css';

  if (insertAt === 'top') {
    if (head.firstChild) {
      head.insertBefore(style, head.firstChild);
    } else {
      head.appendChild(style);
    }
  } else {
    head.appendChild(style);
  }

  if (style.styleSheet) {
    style.styleSheet.cssText = css;
  } else {
    style.appendChild(document.createTextNode(css));
  }
}

var css = ".react-component-scroll-to-bottom-button__container__LmNvbnRh {\n  position: absolute;\n  bottom: 10px;\n  left: 50%;\n  margin-left: -15px;\n  font-size: 17px;\n  text-align: center;\n  white-space: nowrap;\n  cursor: pointer;\n  opacity: 0.5;\n  transition: all 0.5s ease-in;\n}\n\n.react-component-scroll-to-bottom-button__container__LmNvbnRh:hover {\n  opacity: 1;\n}\n\n.react-component-scroll-to-bottom-button__container__LmNvbnRh button {\n  height: 30px;\n  min-width: 30px;\n  padding: 0;\n  background-color: #ccc;\n  border-radius: 15px;\n}\n\n.react-component-scroll-to-bottom-button__icon__LmNvbnRh {\n  display: inline-block;\n  width: 12px;\n  height: 17px;\n  font-size: 17px;\n  color: #fff;\n  transform: rotate(90deg);\n}\n\n.react-component-scroll-to-bottom-button__hidden__LmNvbnRh {\n  display: none;\n}\n\n.react-component-scroll-to-bottom-button__withText__LmNvbnRh {\n  margin-left: -110px;\n  opacity: 1;\n  transition: opacity 0.5s ease-in-out, width 0.5s ease-in-out, margin-left 0.5s ease-in-out;\n}\n\n.react-component-scroll-to-bottom-button__withText__LmNvbnRh button {\n  padding: 0 30px;\n  color: #fff;\n  background-color: #049fd9;\n}\n\n.react-component-scroll-to-bottom-button__label__LmNvbnRh {\n  padding: 0 10px 0 0;\n  font-family: CiscoSans;\n  font-size: 13px;\n  font-weight: 200;\n  text-transform: uppercase;\n}\n\n.react-component-scroll-to-bottom-button__withText__LmNvbnRh .react-component-scroll-to-bottom-button__icon__LmNvbnRh {\n  margin-right: 10px;\n  font-size: 15px;\n}\n";
var styles = { "container": "react-component-scroll-to-bottom-button__container__LmNvbnRh", "icon": "react-component-scroll-to-bottom-button__icon__LmNvbnRh", "hidden": "react-component-scroll-to-bottom-button__hidden__LmNvbnRh", "withText": "react-component-scroll-to-bottom-button__withText__LmNvbnRh", "label": "react-component-scroll-to-bottom-button__label__LmNvbnRh" };
styleInject(css);

var propTypes = {
  label: PropTypes.string,
  onClick: PropTypes.func.isRequired
};

var defaultProps = {
  label: ''
};

function ScrollToBottomButton(props) {
  var onClick = props.onClick,
      label = props.label;


  var containerStyle = void 0,
      labelSpan = void 0;

  if (label) {
    labelSpan = React.createElement(
      'span',
      { className: classNames('ciscospark-scroll-to-bottom-label', styles.label) },
      label
    );
    containerStyle = styles.withText;
  }

  return React.createElement(
    'div',
    { className: classNames('ciscospark-scroll-to-bottom-container', styles.container, containerStyle) },
    React.createElement(
      Button,
      { onClick: onClick },
      React.createElement(
        'div',
        { className: classNames('ciscospark-scroll-to-bottom-icon', styles.icon) },
        React.createElement(Icon, { type: ICONS.ICON_TYPE_RIGHT_ARROW })
      ),
      labelSpan
    )
  );
}

ScrollToBottomButton.propTypes = propTypes;
ScrollToBottomButton.defaultProps = defaultProps;

export default ScrollToBottomButton;
//# sourceMappingURL=index.js.map
